## netcdf 4.6.1

=== debian/changelog ===
netcdf (1:4.6.1-3) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 07:36:48 +0200

netcdf (1:4.6.1-2) unstable; urgency=medium

  * Update Vcs-* URLs for Salsa.
  * Drop override for vcs-deprecated-in-debian-infrastructure.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control & rules files.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jul 2018 15:18:57 +0200

netcdf (1:4.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Don't use libjs-jquery for Doxygen docs.
  * Add lintian override for vcs-deprecated-in-debian-infrastructure.
  * Drop big-endian.patch, applied upstream. Refresh remaining patches.
  * Update symbols for 4.6.1.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Mar 2018 07:30:46 +0100
