=== debian/changelog ===
netcdf (1:4.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Strip pre-releases from symbols version.
  * Update symbols for 4.6.2.
  * Update copyright file, remove ncaux.c.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 20 Nov 2018 07:04:35 +0100

netcdf (1:4.6.2~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add Build-Depends-Package field to symbols file.
  * Drop manpage patch, fixed upstrema. Refresh remaining patches.
  * Rename library package for SONAME bump revert.
  * Update symbolks for 4.6.2~rc2.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 02 Nov 2018 07:50:03 +0100

netcdf (1:4.6.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.
  * Refresh patches.
  * Rename library package for SONAME bump.
  * Update symbols for 4.6.2~rc1.
  * Add patch to fix manpage: warning: macro `NP' not defined.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Sep 2018 07:21:42 +0200
