=== debian/changelog ===
netcdf (1:4.6.2.1-1~exp2) experimental; urgency=medium

  * Remove arch specific NC_byteswap8 from symbols file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Feb 2019 14:13:27 +0100

netcdf (1:4.6.2.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Update copyright file, changes:
    - Update license from NetCDF to BSD-3-Clause
  * Refresh patches.
  * Update symbols for 4.6.2.1.
  * Append -DNDEBUG to CFLAGS to remove buildpath from binaries.
  * Add lintian overrides for file-references-package-build-path.
  * Add lintian override for pkg-config-references-unknown-shared-library.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Feb 2019 08:12:22 +0100
