=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                graphviz,
                libhdf5-dev (>= 1.8.6-1~),
                libcurl4-gnutls-dev | libcurl-ssl-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/netcdf
 Vcs-Git: https://salsa.debian.org/debian-gis-team/netcdf.git
 Homepage: http://www.unidata.ucar.edu/software/netcdf/
